glam2commons: Task overview June 2017
Closed, ResolvedPublic

Description

For the month of June the following tasks are on the to do list:

  • Make a UI for the app.
  • Restructuring the existing code to make it modular and easily reusable.
  • Make library functions for various subtasks such as date parsing, title cropping etc.
  • Handling duplicate uploads.
  • Modify the code to show proper error messages when the user does some unexpected operation such as providing wrong or empty UID.
Aklapper renamed this task from glam2commons: Task overview June to glam2commons: Task overview June 2017.Jun 6 2017, 1:53 PM

A basic UI is in place here. It's under review. Further changes will be made based on review comments.

Duplicate uploads are handled by mediawiki simply by not allowing an image to be re-uploaded if it's already in Commons.

I have handled the case when the user provides a wrong UID. Then s/he is shown a message that the ID is wrong.

Similarly empty UID is handled too. A user is prevented from doing an upload with an empty UID or unspecified GLAM.

Infobliss added a comment.EditedJun 21 2017, 1:12 AM

@Basvb, @zhuyifei1999, I believe mediawiki does not allow uploading an image to Commons if it has the same name as an already existing image in Commons. So this is ensured that one won't be able to re-upload an image using our tool since our tool will generate the same filename every time a given UID is provided. But if someone had already uploaded the concerned image with a different name than what our tool assigns it, then how can we prevent our tool from re-uploading it?

All listed tasks have been completed.

Infobliss closed this task as Resolved.Aug 26 2017, 10:11 AM